Delete a form field
DELETE
/v1/forms/{form}/fields/{field}
const url = 'https://api.submeto.com/v1/forms/example/fields/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.submeto.com/v1/forms/example/fields/example \ --header 'Authorization: Bearer <token>'Deletes a field from a form. Requires the forms:update scope and a
current If-Match Form validator.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
field
required
string
The field ID.
Header Parameters
Section titled “Header Parameters”If-Match
string
Responses
Section titled “Responses”Field deleted
Media typeapplication/json
object
Examplegenerated
{}Not found or not granted
Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "resource_not_found", "message": "Resource not found.", "details": {} }, "request_id": "REQUEST_ID"}Stale ETag
Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "precondition_failed", "message": "The Form revision does not match the If-Match ETag.", "details": {} }, "request_id": "REQUEST_ID"}Missing If-Match
Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{ "error": { "code": "precondition_required", "message": "A current If-Match Form validator is required.", "details": {} }, "request_id": "REQUEST_ID"}